light-mode-image
Learn
API ReferenceVerification request signers

Retrieve a Verification request signer

Roles

adminverifier

Analytics Events

CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_STARTCREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_SUCCESSCREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_FAIL
GET/v2/presentations/certificates/verifier-signers/{verifierSignerId}

Retrieves a Verification request signer.

Analytic events

  • CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_START
  • CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_SUCCESS
  • CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

verifierSignerId*string

Unique identifier of the Verification request signer.

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/presentations/certificates/verifier-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "caType": "mattr",  "active": true,  "certificatePem": "string",  "certificateFingerprint": "string",  "certificateData": {    "commonName": "string",    "country": "string",    "notAfter": "2019-08-24T14:15:22Z",    "notBefore": "2019-08-24T14:15:22Z",    "subjectAlternativeNames": [      {        "type": 0,        "value": "string"      }    ]  }}

How would you rate this page?